Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Open Papyrus model (Eclipse 3.7) with Papyrus (Eclipse 4.2)
Open Papyrus model (Eclipse 3.7) with Papyrus (Eclipse 4.2) [message #893202] Tue, 03 July 2012 07:52 Go to next message
Tex Iano is currently offline Tex IanoFriend
Messages: 99
Registered: February 2012
Member
Hi,

I have created a model with Papyrus in Eclipse 3.7. Now I want to switch to Eclipse 4.2. I have imported the project, however when opening the Di-file I get a nullPointerException. I cannot even open the UML model. I only get a white and empty space.

Any ideas?

Tex
Re: Open Papyrus model (Eclipse 3.7) with Papyrus (Eclipse 4.2) [message #893212 is a reply to message #893202] Tue, 03 July 2012 08:44 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 4188
Registered: July 2009
Senior Member
Hi

NPE is prpbably the commonest bug.

You have just I asked. I have a really common bug, what is it? Try
asking a doctor why your program doesn't feel well.

Regards

Ed Willink


On 03/07/2012 08:52, Tex Iano wrote:
> Hi,
>
> I have created a model with Papyrus in Eclipse 3.7. Now I want to
> switch to Eclipse 4.2. I have imported the project, however when
> opening the Di-file I get a nullPointerException. I cannot even open
> the UML model. I only get a white and empty space.
>
> Any ideas?
>
> Tex
Re: Open Papyrus model (Eclipse 3.7) with Papyrus (Eclipse 4.2) [message #893218 is a reply to message #893212] Tue, 03 July 2012 09:17 Go to previous messageGo to next message
Tex Iano is currently offline Tex IanoFriend
Messages: 99
Registered: February 2012
Member
Well, I do not want to focus on the NullPointerException. Obviously it is simply not possible to open an old Papyrus model with Eclipse Juno. Just importing the project does not work. I thought that there is a migration strategy, such as changing UML/3.0.0 to UML/4.0.0 or maybe there is an import button anywhere.

Tex
Re: Open Papyrus model (Eclipse 3.7) with Papyrus (Eclipse 4.2) [message #893225 is a reply to message #893218] Tue, 03 July 2012 09:35 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 511
Registered: February 2011
Senior Member
Hello,

Actually, it should be possible. So, the error detail *is* important Smile The migration from UML 2.3 to 2.4 is (or should be) done automatically when opening the model for the first time.


Regards,
Camille


Camille Letavernier
Papyrus developer
Re: Open Papyrus model (Eclipse 3.7) with Papyrus (Eclipse 4.2) [message #894074 is a reply to message #893225] Fri, 06 July 2012 14:31 Go to previous message
Annette P is currently offline Annette PFriend
Messages: 2
Registered: July 2012
Junior Member
Hello,

I have a similar problem. I have imported my project with the model (UML StateMachine Diagram) created with Eclipse 3.7 in Eclipse 4.2. When I open the Di-file I get the error message "org.eclipse.uml2.uml.internal.impl.LiteralStringImpl cannot be cast to org.eclipse.uml2.uml.OpaqueExpression".
I didn't find the problem. Can anyone help me?

I also had a NullPointerException and an error message before saying that my model was corrupted. Then I removed all 'mutated vowels' (ä, ö, ü...) from the model, and the problems was solved.

Regards
Annette
Previous Topic:[SysML] Parametric Diagram in Papyrus 0.9
Next Topic:Problem with multiplicity for associations in class diagram
Goto Forum:
  


Current Time: Mon Dec 22 02:11:33 GMT 2014

Powered by FUDForum. Page generated in 0.03051 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software